import dataZoomProcessor from "./dataZoomProcessor.mjs";
import installDataZoomAction from "./dataZoomAction.mjs";
var installed = false;
function installCommon(registers) {
  if (installed) {
    return;
  }
  installed = true;
  registers.registerProcessor(registers.PRIORITY.PROCESSOR.FILTER, dataZoomProcessor);
  installDataZoomAction(registers);
  registers.registerSubTypeDefaulter("dataZoom", function() {
    return "slider";
  });
}
export {
  installCommon as default
};
